GET api/products/{product_id}/data?seller_id={seller_id}¤cy={currency}&partner_uid={partner_uid}&token={token}&lang={lang}&transp={transp}&format={format}&cache={cache}&queryId={queryId}&showHiddenVariants={showHiddenVariants}
Get product information
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| product_id |
Product identifier |
integer |
None. |
| seller_id |
Optional parameter, specify if using cart. Seller identifier of the product or your own identifier (if the product belongs to you or you added it to your store) |
integer |
None. |
| currency |
Partner UID (for accounting individual payouts) |
string |
None. |
| partner_uid | string |
None. |
|
| token |
Token obtained from api/apilogin method, optional parameter. If token and product belong to the same seller, num_in_stock parameter value will be visible in the response. If invalid token is passed, HTTP status code 401 is returned. |
string |
None. |
| lang |
Language for displaying information ru-RU | en-US |
string |
None. |
| transp |
transp=cors |
string |
None. |
| format |
format=json |
string |
None. |
| cache |
cache=1 |
integer |
None. |
| queryId |
queryId |
string |
None. |
| showHiddenVariants |
show hidden options variants |
integer |
None. |
| product_id | string |
None. |
Body Parameters
None.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.